Products and store

Products and store endpoints, generated from the OpenAPI description.

Published products

GET /api/v1/products

Authentication: None.

StatusMeaning
200OK

Store categories with published products

GET /api/v1/store/categories

Authentication: None.

StatusMeaning
200OK

Start Stripe Checkout for one on-sale digital item or fee

POST /api/v1/store/{id}/checkout

Authentication: None.

ParameterInRequiredNotes
idpathyesCatalogue item id

Body: application/json (optional).

StatusMeaning
201Checkout URL
404Problem
409Problem
422Problem
429Problem
503Problem

A purchase's delivery state, by Checkout Session id (the id is the credential)

GET /api/v1/store/sessions/{session_id}

Authentication: None.

ParameterInRequiredNotes
session_idpathyescs_live_… or cs_test_…
StatusMeaning
200OK
404Problem
429Problem
503Problem

Download the purchased file while the entitlement is active

GET /api/v1/store/sessions/{session_id}/download

Authentication: None.

ParameterInRequiredNotes
session_idpathyes
StatusMeaning
200The file
404Problem
410Problem

GET /api/v1/downloads/{token}

Authentication: None.

ParameterInRequiredNotes
tokenpathyes
StatusMeaning
200The file
410Problem
503Problem